[FFE] [sync] Upgrade python-argparse to 1.1 (latest upstream & Debian version)

Bug #537751 reported by Barry Warsaw
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
argparse (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

argparse 1.1 provides a number of fixes and a few small enhancements to version 1.0.1 which is currently available in universe. Version 1.1 is the latest released upstream. Note that I've also submitted a MIR for argparse (bug 537743) and a branch to update the source package to 1.1 (bug 537484). It was pointed out in the latter that Debian has already updated, so we should sync to that.

=== modified file 'NEWS.txt'
--- NEWS.txt 2009-10-12 18:04:37 +0000
+++ NEWS.txt 2010-03-11 16:59:54 +0000
@@ -1,3 +1,19 @@
+What's New in argparse 1.1
+==========================
+
+- Issue #22: Support more customization of version arguments.
+- Issue #34: Allow better custom type error messages using ArgumentTypeError.
+- Issue #36: Get "from argparse import *" working.
+- Issue #37: Stop treating two character alphanumeric flags as numbers.
+- Issue #38: Better error messages when 'dest' occurs twice for positional arguments.
+- Issue #39: Better error messages for invalid actions.
+- Issue #43: Deprecate ArgumentParser(..., version=XXX, ...) and friends.
+- Issue #46: Allow single character options, e.g. '-' and '+'.
+- Issue #51: Better error messages for errors like type='int'.
+- Namespace objects now support "in" (i.e. __contains__).
+- Usage and help (but not version) messages are written to stdout, not stderr.
+
+
 What's New in argparse 1.0.1
 ============================

I've asked the upstream author for confirmation, but I do not think any of the
above changes will break existing code.

Revision history for this message
Barry Warsaw (barry) wrote :

Note that I've made 1.1 available in my PPA: https://edge.launchpad.net/~barry/+archive/python

Revision history for this message
StefanPotyra (sistpoty) wrote :

what testing have you done?

Revision history for this message
Barry Warsaw (barry) wrote :

Hi Stefan,

There don't appear to be too many rdepends on python-argparse, but I've done some testing with apt-offline and my Computer Janitor refactoring branch. Both seem to work fine. Of course argparse itself comes with a test suite, which passes just fine.

Revision history for this message
StefanPotyra (sistpoty) wrote :

ok, thanks, fine with me then. FFe granted for 1.1-1, please go ahead.

Changed in argparse (Ubuntu):
status: New → Confirmed
Revision history for this message
Barry Warsaw (barry) wrote :

See also bug 537743

Revision history for this message
Alexander Sack (asac) wrote :

barry. if you need help on getting this in , ping me on irc.

Barry Warsaw (barry)
summary: - [FFE] Upgrade python-argparse to 1.1 (latest upstream & Debian version)
+ [FFE] [sync] Upgrade python-argparse to 1.1 (latest upstream & Debian
+ version)
Revision history for this message
Steve Langasek (vorlon) wrote :

[Updating] argparse (1.0.1-1 [Ubuntu] < 1.1-1 [Debian])
 * Trying to add argparse...
2010-04-13 00:39:09 INFO - <argparse_1.1.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2010-04-13 00:39:10 INFO - <argparse_1.1-1.dsc: downloading from http://ftp.debian.org/debian/>
2010-04-13 00:39:10 INFO - <argparse_1.1-1.diff.gz: downloading from http://ftp.debian.org/debian/>
I: argparse [universe] -> python-argparse_1.0.1-1 [universe].
I: argparse [universe] -> python-argparse-doc_1.0.1-1 [universe].

Changed in argparse (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers